﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace XDMTabGroupPane
{
    public class ViewModel : ObservableModel
    {
        private ObservableCollection<string> _data;

        public ObservableCollection<string> Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
                NotifyPropertyChanged();
            }
        }

        public ViewModel()
        {
            this.Data = new ObservableCollection<string>();
            for (int i = 0; i < 40; i++)
            {
                this.Data.Add("Item " + i.ToString());
            }
        }
    }

    public class ObservableModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public void NotifyPropertyChanged([CallerMemberName] String propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
